apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2024-05-08T14:52:43.37304511Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2024-05-08T14:52:42Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  name: windows-11-virtio-black-nightingale-19
  namespace: default
  resourceVersion: "463955"
  uid: 6a3c6265-b986-4cd4-9232-f27098f06a93
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: windows-11-virtio-black-nightingale-19-volume
    spec:
      sourceRef:
        kind: DataSource
        name: win11
        namespace: openshift-virtualization-os-images
      storage:
        resources: {}
        storageClassName: managed-csi
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.large
    revisionName: windows-11-virtio-black-nightingale-19-u1.large-d47223af-0077-4a15-8547-df3dbccf1c2b-1
  preference:
    kind: virtualmachineclusterpreference
    name: windows.11.virtio
    revisionName: windows-11-virtio-black-nightingale-19-windows.11.virtio-c6fb4501-8d68-4014-88aa-8fa8fe183aee-1
  running: false
  template:
    metadata:
      creationTimestamp: null
      labels:
        app.kubernetes.io/name: headless
    spec:
      accessCredentials:
      - sshPublicKey:
          propagationMethod:
            noCloud: {}
          source:
            secret:
              secretName: key
      architecture: amd64
      domain:
        devices: {}
        machine:
          type: q35
        resources: {}
      subdomain: headless
      volumes:
      - dataVolume:
          name: windows-11-virtio-black-nightingale-19-volume
        name: rootdisk
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: clae-i6av-s0q3
            user: fedora
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: Initialized
  - lastProbeTime: "2024-05-08T14:52:44Z"
    lastTransitionTime: "2024-05-08T14:52:44Z"
    message: VMI does not exist
    reason: VMINotExists
    status: "False"
    type: Ready
  printableStatus: Stopped
  volumeSnapshotStatuses:
  - enabled: true
    name: rootdisk
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
